package com.snail.exam.s2dao;
 
import java.sql.Timestamp;
 
import org.seasar.dao.annotation.tiger.Bean;
import org.seasar.dao.annotation.tiger.Column;
import org.seasar.dao.annotation.tiger.Id;
import org.seasar.dao.annotation.tiger.Ids;
import org.seasar.dao.annotation.tiger.IdType;
import org.seasar.dao.annotation.tiger.Relation;
 
@Bean(table = "ORDER_TBL", timeStampProperty = "onUpdate")
public class OrderBean {
  private int pAmount;
 
  private CustomerBean pCustomerBean;
 
  private long pCustomerId;
  private long pItemId;
  
  @Column("CUSTOMER_ID")
public long getCustomerId() {
    return pCustomerId;
}

public void setCustomerId(long customerId) {
    pCustomerId = customerId;
}

@Column("ITEM_ID")
public long getItemId() {
    return pItemId;
}

public void setItemId(long itemId) {
    pItemId = itemId;
}

private long pId;
 
  private ItemBean pItemBean;
  
  private Timestamp pOnCreate;
 
  private Timestamp pOnUpdate;
 
  private char pStatus;
 
  private int pTradePrice;
 
  @Column("AMOUNT")
  public int getAmount() {
    return pAmount;
  }
 
  @Relation(relationNo = 0, relationKey = "CUSTOMER_ID:ID")
  public CustomerBean getCustomerBean() {
    return pCustomerBean;
  }
 
  @Column("ID")
  @Ids( { @Id(value = IdType.IDENTITY, dbms = "derby"),
    @Id(value = IdType.SEQUENCE, sequenceName = "SEQ_PURCHASE", dbms = "oracle") })
  public long getId() {
    return pId;
  }
 
  @Relation(relationNo = 1, relationKey = "ITEM_ID:ID")
  public ItemBean getItemBean() {
    return pItemBean;
  }
 
  @Column("ON_CREATE")
  public Timestamp getOnCreate() {
    return pOnCreate;
  }
 
  @Column("ON_UPDATE")
  public Timestamp getOnUpdate() {
    return pOnUpdate;
  }
 
  @Column("STATUS")
  public char getStatus() {
    return pStatus;
  }
 
  @Column("TRADE_PRICE")
  public int getTradePrice() {
    return pTradePrice;
  }
 
  public void setAmount(int amount) {
    pAmount = amount;
  }
 
  public void setCustomerBean(CustomerBean CustomerBean) {
    pCustomerBean = CustomerBean;
  }
 
  public void setId(long id) {
    pId = id;
  }
 
  public void setItemBean(ItemBean ItemBean) {
    pItemBean = ItemBean;
  }
 
  public void setOnCreate(Timestamp onCreate) {
    pOnCreate = onCreate;
  }
 
  public void setOnUpdate(Timestamp onUpdate) {
    pOnUpdate = onUpdate;
  }
 
  public void setStatus(char status) {
    pStatus = status;
  }
 
  public void setTradePrice(int tradePrice) {
    pTradePrice = tradePrice;
  }
 
}
