package com.snail.exam.s2dao;
 
import java.util.List;
 
import org.seasar.dao.annotation.tiger.S2Dao;
import org.seasar.dao.annotation.tiger.Arguments;
import org.seasar.dao.annotation.tiger.Sql;

 
@S2Dao(bean = OrderBean.class)
public interface OrderDao {
  /**
   * select処理. 引数を指定しないと全件検索
   */
  List<OrderBean> findAll();
  
  @Arguments( { "ID" })
  OrderBean findOrderByPK(final long id);
  
  @Sql(value = "SELECT SUM(TRADE_PRICE * AMOUNT) FROM ORDER_TBL WHERE CUSTOMER_ID = /*customerId*/")
  int sumCreditSale(final long customerId);
  
  int insert(OrderBean order);
}
